receivers:
  otlp:
    protocols:
      grpc:
      http:

processors:
  batch:

exporters:
  clickhousetraces:
    endpoint: tcp://clickhouse:9000?database=signoz_traces
    tls:
      insecure: true

  signozclickhousemetrics:
    dsn: tcp://clickhouse:9000?database=signoz_metrics
    tls:
      insecure: true

service:
  pipelines:
    traces:
      receivers: [otlp]
      processors: [batch]
      exporters: [clickhousetraces]
    metrics:
      receivers: [otlp]
      processors: [batch]
      exporters: [signozclickhousemetrics]